:host {
  nz-form-item {
    flex: 1 1 100%;
    align-items: center;
    justify-content: space-between;
    margin: 0px;

    nz-form-control:nth-child(1) {
      flex-grow: 1;
    }
    nz-form-control:first-child {
      margin-left: unset;
    }
    nz-form-control:last-child {
      margin-right: unset;
      flex-shrink: 0;
    }
  }
  nz-form-control {
    margin: 0 4px;
  }
}
